Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<Appearance("Disable DeliveryNoteInHeader", AppearanceItemType.ViewItem, "1=1", TargetItems:="DeliveryNoteInHeader", Enabled:=False)> _
Public Class StorageInfromDeliveryNoteInRowsHeader
    Inherits BaseObject
    Private _DeliveryNoteInHeader As DeliveryNoteInHeader
    Private _Storage As Storage
    Private _StorageMoveType As StorageMoveType
    Private _DateCreation As Date
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <VisibleInListView(False)> _
    <Association("StorageInfromDeliveryNoteInRowsHeader-StorageInfromDeliveryNoteInRowsRows", GetType(StorageInfromDeliveryNoteInRowsRows))> _
    ReadOnly Property StorageInfromDeliveryNoteInRowsRows As XPCollection(Of StorageInfromDeliveryNoteInRowsRows)
        Get
            Return GetCollection(Of StorageInfromDeliveryNoteInRowsRows)("StorageInfromDeliveryNoteInRowsRows")
        End Get
    End Property
    Property DeliveryNoteInHeader As DeliveryNoteInHeader
        Get
            Return _DeliveryNoteInHeader
        End Get
        Set(value As DeliveryNoteInHeader)
            SetPropertyValue("DeliveryNoteInHeader", _DeliveryNoteInHeader, value)
        End Set
    End Property
    <RuleRequiredField("StorageInfromDeliveryNoteInRowsHeader.Storage", DefaultContexts.Save)> _
    Property Storage As Storage
        Get
            Return _Storage
        End Get
        Set(value As Storage)
            SetPropertyValue("Storage", _Storage, value)
        End Set
    End Property
    Property StorageMoveType As StorageMoveType
        Get
            Return _StorageMoveType
        End Get
        Set(value As StorageMoveType)
            SetPropertyValue("StorageMoveType", _StorageMoveType, value)
        End Set
    End Property
    Property DateCreation As Date
        Get
            Return _DateCreation
        End Get
        Set(value As Date)
            SetPropertyValue("DateCreation", _DateCreation, value)
        End Set
    End Property
End Class
